Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154440 - HPLIP black color support
Summary: HPLIP black color support
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL: http://hpinkjet.sourceforge.net/updat...
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-04-11 18:03 UTC by Mario Fetka
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 8.15-0.rc3.7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-11 10:46:36 UTC


Attachments (Terms of Use)

Description Mario Fetka 2005-04-11 18:03:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.0 (like Gecko)

Description of problem:
it would be great for all users with hp printer if we could add a patch to   
ghostscript gdevijs to support krgb:  
  
http://hpinkjet.sourceforge.net/updates.php#a160  
  
########  
 Added KRGB support. HPIJS now supports two color spaces RGB and KRGB. KRGB   
provides image enhanced printing for black text and black line drawings which   
can not be done with current RGB based raster drivers.   
  
KRGB definition:   
1. K=1-bit black plane, RGB=24 bit color raster.   
2. K-plane will only contain objects that are black text and black line   
drawings.   
3. RGB raster will not contain K-plane objects.   
4. K resolution and RGB resolution will be equal.   
5. K-plane will be byte aligned.   
6. K-plane bit definition; 1=black, 0=white.   
  
KRGB requires Ghostscript suppport. Current versions of Ghostscript do not   
support KRGB. In order to support KRGB, a Ghostscript KRGB patch is included   
in the HPIJS package. The patch modifies the IJS client in Ghostscript and is   
free to use under the MIT license. The new IJS client should be backward   
compatible with existing IJS servers. This means KRGB support is optional.   
  
Use the following command in the Ghostscript source directory to apply the   
KRGB patch, then rebuild Ghostscript.   
  
$ patch -p0 < gdevijs-krgb-1.0.patch  
#############  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:

Comment 1 Tim Waugh 2005-08-11 10:46:36 UTC
This patch is already incorporated into ESP gs 8.15rc3.


Note You need to log in before you can comment on or make changes to this bug.